function setup()
	for i = 1, math.random(2, 4) do
		room.addActor()
		actor.displayName = "< human cryopods detected! >"
		actor.setIcon("iconcryopod.png")
		actor.solid = 1
		actor.jitterPlacement = 2
		actor.behavior = "slowspin"
		actor.rot = math.random(0,359)
		actor.durable = 0
	
		for pod = 1, 3 do
			actor.addTerrain("terrain_cryopods")
		end
	end
	
	room.addActor("terrain_wreckage.lua")
	actor.nodeName = "CRYOPOD HEROIC RESCUE"
	
	--use a different stage script for cryopod battles
	actor.addEvent("battlescript_cryopodbattle", 0)
	
	--add up any saved survivors
	actor.addEvent("countsavedcryopods", 4)
	
	--get a pixel at the end
	actor.addEvent("pixel", 5)
	
	--always have at least SOME available interceptors
	room.setWave(6)
	room.addActor("actor_interceptor.lua")
	room.addActor("actor_interceptor.lua")
end